Bug 1080833 - Enabling/Disabling EJB3 statistics cause redeployment of Application in EAP 6
Summary: Enabling/Disabling EJB3 statistics cause redeployment of Application in EAP 6
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- JBoss EAP 6
Version: JON 3.2
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: DR01
: JON 3.3.0
Assignee: Libor Zoubek
QA Contact: Mike Foley
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 1119518
TreeView+ depends on / blocked
 
Reported: 2014-03-26 08:35 UTC by Dasharath Masirkar
Modified: 2018-12-04 17:50 UTC (History)
6 users (show)

(edit)
Enabling or Disabling EJB3 statistics in the EAP 6 JON Plug-in caused the configuration changes to be saved correctly, however the web application in EAP 6 was redeployed. A fix to the EJB3 subsystem now only applies configuration properties that differ from the current configuration. The read-write config update delegate reads resource config prior to applying the update, and applies changes only. This feature currently supports simple probe only. EJBs are no longer completely re-deployed when a EJB3 monitoring setting is changed.
Clone Of:
: 1119518 (view as bug list)
(edit)
Last Closed: 2014-12-11 14:00:50 UTC


Attachments (Terms of Use)

Description Dasharath Masirkar 2014-03-26 08:35:50 UTC
Description of problem:
The application getting undeployed/deployed while disabling/enabling EJB3 statistics through JON for EAP6 resource.

Version-Release number of selected component (if applicable):
JBoss ON 3.2.0
JBoss EAP 6.2.0

How reproducible:
Always

Steps to Reproduce:
1) Install JON 3.2 and Agent
2) Deploy EAP 6.x plugin
3) Import EAP 6.x into JON inventory
4) From JON UI Navigate as follows to enable ejb3 statistics.

JBossAS7 Standalone Server-->EAP (127.0.0.1:9990) -->ejb3 -->Inventory -->Configuration -->Current

Here set "Enable Statistics" Property value to "Yes" and save the changes.

Actual results:
The configuration changes will get saved but the web application deployed in EAP6 will get redployed for e.g. see below logs from EAP 6  standalone server :

12:44:42,728 INFO  [org.jboss.web] (ServerService Thread Pool -- 84) JBAS018224: Unregister web context: /a
12:44:42,740 INFO  [org.jboss.web] (ServerService Thread Pool -- 88) JBAS018210: Register web context: /a

Expected results:
The configuration change need to be saved without application redployment. 

Additional info:

Comment 4 Libor Zoubek 2014-07-01 22:37:46 UTC
in master

commit c70267492ec430e4ef1218065ffc4220c2ba7e51
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Jul 2 00:32:21 2014 +0200

    [Bug 1080833]
    
    For EJB3 subsystem we now apply only configuration properties that differ
    from current configuration.

commit 3d0571af3f465c6d47567483ebc0148a514e6851
Author: Libor Zoubek <lzoubek@redhat.com>
Date:   Wed Jul 2 00:31:10 2014 +0200

    [JBoss AS7] add read-write config update delegate which reads resource config prior applying update and applies changes only (currently supports only simple prope

Comment 5 Simeon Pinder 2014-07-31 15:51:39 UTC
Moving to ON_QA as available to test with brew build of DR01: https://brewweb.devel.redhat.com//buildinfo?buildID=373993


Note You need to log in before you can comment on or make changes to this bug.